/* $egnet: list.h,v 1.4 2005/03/20 06:15:13 dive Exp $ */

/******************************************************************************
  Copyright (c) 1992, 1995, 1996 Xerox Corporation.  All rights reserved.
  Portions of this code were written by Stephen White, aka ghond.
  Use and copying of this software and preparation of derivative works based
  upon this software are permitted.  Any distribution of this software or
  derivative works must comply with all applicable United States export
  control laws.  This software is made available AS IS, and Xerox Corporation
  makes no warranty about the software, its performance or its conformity to
  any specification.  Any person obtaining a copy of this software is requested
  to send their name and post office or electronic mail address to:
    Pavel Curtis
    Xerox PARC
    3333 Coyote Hill Rd.
    Palo Alto, CA 94304
    Pavel@Xerox.Com
 *****************************************************************************/

#include "structures.h"

extern Var      listappend(Var list, Var value);
extern Var      listinsert(Var list, Var value, int pos);
extern Var      listdelete(Var list, int pos);
extern Var      listset(Var list, Var value, int pos);
extern Var      listrangeset(Var list, int from, int to, Var value);
extern Var      listconcat(Var first, Var second);
extern int      ismember(Var value, Var list, int case_matters);
extern Var      setadd(Var list, Var value);
extern Var      setremove(Var list, Var value);
extern Var      sublist(Var list, int lower, int upper);
extern Var      strrangeset(Var list, int from, int to, Var value);
extern Var      substr(Var str, int lower, int upper);
extern Var      strget(Var str, Var i);
extern Var      new_list(int size);
extern const char *value2str(Var);
extern const char *value_to_literal(Var);
extern int      is_options_list(Var options);
extern int      options_list_value(Var options, const char *name, Var * value);
